import * as $dara from '@darabonba/typescript';
export declare class ListUnknownThreatDetectProcessResponseBodyData extends $dara.Model {
    /**
     * @example
     * white
     */
    analyzeResult?: string;
    /**
     * @example
     * 1694576692000
     */
    firstTime?: number;
    /**
     * @example
     * 5b394b54ca632fe51c4ab4a6dbaf****
     */
    md5?: string;
    /**
     * @example
     * 2025031506350619216822625103151158982
     */
    processId?: string;
    /**
     * @example
     * /usr/bin/tar
     */
    processPath?: string;
    /**
     * @example
     * safe process
     */
    remark?: string;
    /**
     * @example
     * 3a6fed5fc11392b3ee9f81caf017b48640d7458766a8eb0382899a605b41****
     */
    sha256?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListUnknownThreatDetectProcessResponseBodyPageInfo extends $dara.Model {
    /**
     * @example
     * 2
     */
    count?: string;
    /**
     * @example
     * 1
     */
    currentPage?: number;
    /**
     * @example
     * 20
     */
    pageSize?: number;
    /**
     * @example
     * 83
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListUnknownThreatDetectProcessResponseBody extends $dara.Model {
    data?: ListUnknownThreatDetectProcessResponseBodyData[];
    pageInfo?: ListUnknownThreatDetectProcessResponseBodyPageInfo;
    /**
     * @remarks
     * Id of the request
     *
     * @example
     * 20456DD5-5CBF-5015-9173-12CA4246B***
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
